# jekyll-hanfverband-theme

Welcome to your new Jekyll theme! In this directory, you'll find the files you need to be able to package up your theme into a gem. Put your layouts in `_layouts`, your includes in `_includes`, your sass files in `_sass` and any other assets in `assets`.

To experiment with this code, add some sample content and run `bundle exec jekyll serve` – this directory is setup just like a Jekyll site!

TODO: Delete this and the text above, and describe your gem


## Installation

Add this line to your Jekyll site's `Gemfile`:

```ruby
gem "jekyll-hanfverband-theme"
```

And add this line to your Jekyll site's `_config.yml`:

```yaml
theme: jekyll-hanfverband-theme
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install jekyll-hanfverband-theme

## Usage

This project is a clone of [jekyll](https://github.com/jekyll) / [minima](https://github.com/jekyll/minima).
Please refer the docs at their repositories and the Jekyll documentation at [jekyllrb.com](https://jekyllrb.com/).

### Layouts

Refers to files within the `_layouts` directory, that define the markup for your theme.

  - `default.html` - The base layout that lays the foundation for subsequent layouts. The derived layouts inject their contents into this file at the line that says ` {{ content }} ` and are linked to this file via [FrontMatter](https://jekyllrb.com/docs/frontmatter/) declaration `layout: default`.
  - `home.html` - The layout for your landing-page / home-page / index-page. [More info.](https://github.com/jekyll/minima/blob/master/README.md#home-layout)
  - `page.html` - The layout for your documents that contain FrontMatter, but are not posts.
  - `post.html` - The layout for your posts.

### Includes

Refers to snippets of code within the `_includes` directory that can be inserted in multiple layouts (and another include-file as well) within the same theme-gem.

  - `disqus_comments.html` - Code to markup disqus comment box.
  - `footer.html` - Defines the site's footer section.
  - `google-analytics.html` - Inserts Google Analytics module (active only in production environment).
  - `head.html` - Code-block that defines the `<head></head>` in *default* layout.
  - `header.html` - Defines the site's main header section. By default, pages with a defined `title` attribute will have links displayed here.
  - `social.html` - Renders social-media icons based on the `minima:social_links` data in the config file.

### Sass

Refers to `.scss` files within the `_sass` directory that define the theme's styles.

  - `mimima-hanfverband.scss` - The skin used by this project. It has the same functionality as `minima-classic.scss`. Set to default skin.
  - `minima-classic.scss` - The core file imported by preprocessed `css/style.scss`, it defines the variable defaults for
    the "classic" skin of the theme.
  - `minima/initialize.scss` - A component that defines the theme's *skin-agnostic* variable defaults and sass partials.
  - `minima/custom-variables.scss` - A hook that allows overriding variable defaults and mixins. (*Note: Cannot override styles*)
  - `minima/custom-styles.scss` - A hook that allows overriding styles. (*Note: Cannot override variables*)
  - `minima/_base.scss` - Sass partial for resets and defines base styles for various HTML elements.
  - `minima/_layout.scss` - Sass partial that defines the visual style for various layouts.

Refer the [skins](https://github.com/jekyll/minima/blob/master/README.md#skins) section for more details.

### Assets

Refers to various asset files within the `assets` directory.
Contains the `css/style.scss` that imports sass files from within the `_sass` directory. This `css/style.scss` is what gets processed into the theme's main stylesheet `main.css` called by `_layouts/default.html` via `_includes/head.html`.

This directory can include sub-directories to manage assets of similar type (`img`, `fonts`, `svg`), and will be copied over as is, to the final transformed site directory.

### Plugins

Refers to plugins listet in `Gemfile` that define which plugin gems required by this theme:
- [`jekyll-feed`](https://github.com/jekyll/jekyll-feed) - Generate an Atom (RSS-like) feed of your Jekyll posts.
- [`jekyll-seo-tag`](https://github.com/jekyll/jekyll-seo-tag) - Add metadata tags for search engines and social networks to better index and display your site's content.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/hanfverband-leipzig/jekyll-hanfverband-theme. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## Development

To set up your environment to develop this theme, run `bundle install`.

Your theme is setup just like a normal Jekyll site! To test your theme, run `bundle exec jekyll serve` and open your browser at `http://localhost:4000`. This starts a Jekyll server using your theme. Add pages, documents, data, etc. like normal to test your theme's contents. As you make modifications to your theme and to your content, your site will regenerate and you should see the changes in the browser after a refresh, just like normal.

When your theme is released, only the files in `_layouts`, `_includes`, `_sass` and `assets` tracked with Git will be bundled.
To add a custom directory to your theme-gem, please edit the regexp in `jekyll-hanfverband-theme.gemspec` accordingly.

## License

The theme is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

